org.opencv.xfeatures2d

## Class PCTSignaturesSQFD

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.xfeatures2d.PCTSignaturesSQFD

-     public class PCTSignaturesSQFD
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PCTSignaturesSQFD(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PCTSignaturesSQFD` | `__fromPtr__(long addr)`
    `float` | `computeQuadraticFormDistance(Mat _signature0, Mat _signature1)`
    `void` | `computeQuadraticFormDistances(Mat sourceSignature, java.util.List<Mat> imageSignatures, MatOfFloat distances)`
    `static PCTSignaturesSQFD` | `create()`
    `static PCTSignaturesSQFD` | `create(int distanceFunction, int similarityFunction, float similarityParameter)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCTSignaturesSQFD

          protected PCTSignaturesSQFD(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static PCTSignaturesSQFD __fromPtr__(long addr)

    - #### create

          public static PCTSignaturesSQFD create(int distanceFunction,
                                                 int similarityFunction,
                                                 float similarityParameter)

    - #### create

          public static PCTSignaturesSQFD create()

    - #### computeQuadraticFormDistance

          public float computeQuadraticFormDistance(Mat _signature0,
                                                    Mat _signature1)

    - #### computeQuadraticFormDistances

          public void computeQuadraticFormDistances(Mat sourceSignature,
                                                    java.util.List<Mat> imageSignatures,
                                                    MatOfFloat distances)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1